%define module_name HTML5-DOM
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(AnyEvent/Util.pm) perl(EV.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(Pod/Markdown/Github.pm) perl(Test/LeakTrace.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.26
Release: alt1
Summary: Super fast html5 DOM library with css selectors (based on Modest/MyHTML)
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZH/ZHUMARIN/%{module_name}-%{version}.tar.gz

%description
HTML5::DOM is a fast HTML5 parser and DOM manipulatin library with CSS4 selectors, fully conformant with the HTML5 specification.

It based on  https://github.com/lexborisov/Modest as selector engine and https://github.com/lexborisov/myhtml as HTML5 parser. 

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE CHANGES examples
%perl_vendor_archlib/H*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.26-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.25-alt2
- rebuild with perl 5.38

* Sun Jul 18 2021 Igor Vlasenko <viy@altlinux.ru> 1.25-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.18-alt2
- rebuild with perl 5.34.0

* Sun Dec 13 2020 Igor Vlasenko <viy@altlinux.ru> 1.18-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.16-alt2
- rebuild with perl 5.30

* Tue May 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.15-alt1.1
- rebuild with perl 5.28.1

* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.15-alt1
- regenerated from template by package builder

* Thu Jan 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- regenerated from template by package builder

* Wed Jan 16 2019 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1
- regenerated from template by package builder

* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 1.11-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- regenerated from template by package builder

* Mon May 28 2018 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- initial import by package builder

